de.esprit.netsuite.netdata.agent

## Interface LoginAgent<C extends ClientContext,S extends ServerContext>

- All Superinterfaces:
    Agent<C,S>, AsyncAgent<C,S>, ClientObject<C>, java.lang.Cloneable, CrossPlatformObject<C,S>, DeepCloneable, Dumpable, Renderable, java.io.Serializable, ServerObject<S>, SimpleLogSupport, TimeMeasurable
  All Known Implementing Classes:
    AbstractLoginAgent, DefaultLoginAgent

      public interface LoginAgent<C extends ClientContext,S extends ServerContext>
      extends AsyncAgent<C,S>

  This interface must be implemented by the agent that is used for user login. This agent is stored on client side and re-executed when a client reconnects after having been offline.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoginData` | `getLoginData()` Allows the server to access the login input data
    `boolean` | `isRegisteredForMessageType(NetMessageType msgType)` Tells whether the client is currently registered for the given `NetMessageType`
    `void` | `setMessageTypesToRegisterFor(NetMessageType... msgTypes)` Stores the currently registered `NetMessageType`s for re-login

    - ### Methods inherited from interface de.esprit.netsuite.netdata.agent.AsyncAgent

      `doOnClientSideCancellation, doOnMessageError, doOnMessageReceived, doOnServerSideCancellation, executeForResponse, getKillerSessionId, getMessageTimeout, isAsync, isIgnoreMessageError, isNoReturn, isTimedOut, setAsync, setCancelledBy, setIgnoreMessageError, setMessageTimeout, setNoReturn, wasCancelled`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.agent.Agent

      `clearClientParams, doFinallyOnClient, doFinallyOnServer, doInitiallyOnClient, doInitiallyOnServer, doOnResponseConfirmed, doOnResponseError, doOnResponseReceived, executeOnServer, getAgentId, getArgument, getClientParam, getClientParams, getError, getName, getOwnerSessionId, getPriority, getResponseTimeout, getSessionId, getTargetServer, hasClientParam, hasError, hasRun, isPartialResultsEnabled, isReceived, isReceivedInMessage, isReceivedInResponse, isRejectable, putClientParam, sendForBooleanExecution, sendForExecution, sendForSilentExecution, setArgument, setArgument, setFailed, setFinished, setName, setOwnerSessionId, setPartialResultsEnabled, setPriority, setReceivedInMessage, setRejectable, setResponseTimeout, setSessionId, setTargetServer`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.CrossPlatformObject

      `isOnClient, isOnServer, setClientContext, setServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.type.DeepCloneable

      `deepClone`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.agent.TimeMeasurable

      `getProcessingDuration, getReceivedTime, getSentTime, getTotalDuration, getTransferDuration, setReceivedTime, setSentTime`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from interface de.esprit.common.gui.Renderable

      `getRenderColor, getRenderIcon, getRenderText`

- - ### Method Detail

    - #### getLoginData

          LoginData getLoginData()

      Allows the server to access the login input data

    - #### setMessageTypesToRegisterFor

          void setMessageTypesToRegisterFor(NetMessageType... msgTypes)

      Stores the currently registered `NetMessageType`s for re-login

    - #### isRegisteredForMessageType

          boolean isRegisteredForMessageType(NetMessageType msgType)

      Tells whether the client is currently registered for the given `NetMessageType`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.